stages:
  - deploy

deploy:
  stage: deploy
  only:
    - master  

  script:
    - apt-get update -qy
    - apt-get install -y openssh-client
    - echo "$DEPLOY_KEY" > deploy_key
    - chmod 600 deploy_key
    - scp -i deploy_key -o StrictHostKeyChecking=no -r ./your_source_directory ec2-user@your-ec2-instance-ip:/path/to/destination
